# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ imake libXt-devel libaudio-devel libglvnd-devel xorg-cf-files
# END SourceDeps(oneline)
BuildRequires: libXi-devel libXext-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		tux_aqfh
Version:	1.0.14
Release:	alt1_25
License:	GPLv2
URL:		https://sourceforge.net/projects/tuxaqfh/
Group:		Games/Arcade
Source0:	http://tuxaqfh.sourceforge.net/dist/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Summary:	Tuxedo T. Penguin: A Quest For Herring
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(x11)
Source44: import.info

%description
Tuxedo The Penguin: A Quest for Herring

A 3D search/explore game staring Tux the Linux Penguin and his girlfriend Gown
as they solve problems and search a number of 3D levels for Golden Herring.

Note: A gamepad is needed to play this game, mouse support is not working
anymore on recent Linux distributions.

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --x-libraries="-L%{_libdir} -lplibjs"
%make_build

%install
%makeinstall_std bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxedo The Penguin
GenericName=3D exploration game
Comment=Tuxedo The Penguin: A Quest for Herring
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%_niconsdir/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

#Move website to HTML so we can include it as a %%doc instead of clutterng up %%_datadir
mv %{buildroot}%{_datadir}/%{name} HTML

%files
%doc README HTML/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%_niconsdir/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0.14-alt1_25
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.14-alt1_24
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.14-alt1_23
- update by mgaimport

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.14-alt1_22
- update by mgaimport

* Sun Jun 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.14-alt1_21
- converted for ALT Linux by srpmconvert tools

